## scoresheet 0.9-1

=== Makefile ===
#############################################################################
# Makefile for building: scoresheet
# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu Mar 11 22:42:38 2010
# Project:  scoresheet.pro
# Template: app
# Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile scoresheet.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/linux-g++-maemo5 -I. -I/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/include/QtCore -I/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/include/QtGui -I/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/include/QtMaemo5 -I/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/opt/qt4-maemo5/lib
LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -lQtMaemo5 -L/opt/qt4-maemo5/lib -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/qt4-maemo5/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cc \
		scoresheet.cc moc_scoresheet.cpp
OBJECTS       = main.o \
		scoresheet.o \
		moc_scoresheet.o
DIST          = /targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		scoresheet.pro
QMAKE_TARGET  = scoresheet
DESTDIR       = 
TARGET        = scoresheet

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: scoresheet.pro  /targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		/opt/qt4-maemo5/lib/libQtMaemo5.prl \
		/opt/qt4-maemo5/lib/libQtDBus.prl \
		/opt/qt4-maemo5/lib/libQtXml.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl \
		/opt/qt4-maemo5/lib/libQtGui.prl
	$(QMAKE) -unix -o Makefile scoresheet.pro
/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/features/release.prf:
/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/maemo5-arm-265a445a86c7ea602e9754ef3dd37ea6c14dafc8/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
/opt/qt4-maemo5/lib/libQtMaemo5.prl:
/opt/qt4-maemo5/lib/libQtDBus.prl:
/opt/qt4-maemo5/lib/libQtXml.prl:
/opt/qt4-maemo5/lib/libQtCore.prl:
/opt/qt4-maemo5/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile scoresheet.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/scoresheet1.0.0 || $(MKDIR) .tmp/scoresheet1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/scoresheet1.0.0/ && $(COPY_FILE) --parents scoresheet.h .tmp/scoresheet1.0.0/ && $(COPY_FILE) --parents main.cc scoresheet.cc .tmp/scoresheet1.0.0/ && (cd `dirname .tmp/scoresheet1.0.0` && $(TAR) scoresheet1.0.0.tar scoresheet1.0.0 && $(COMPRESS) scoresheet1.0.0.tar) && $(MOVE) `dirname .tmp/scoresheet1.0.0`/scoresheet1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/scoresheet1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_scoresheet.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_scoresheet.cpp
moc_scoresheet.cpp: scoresheet.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) scoresheet.h -o moc_scoresheet.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

main.o: main.cc scoresheet.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cc

scoresheet.o: scoresheet.cc scoresheet.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o scoresheet.o scoresheet.cc

moc_scoresheet.o: moc_scoresheet.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_scoresheet.o moc_scoresheet.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== debian/changelog ===
scoresheet (0.9-1) unstable; urgency=low

  * Initial Release.

 -- Heikki Holstila <heikki.holstila@gmail.com>  Thu, 11 Mar 2010 18:47:24 +0200

=== debian/control ===
Source: scoresheet
Section: user/utilities
Priority: extra
Maintainer: Heikki Holstila <heikki.holstila@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-maemo5-dev
Standards-Version: 3.7.2

Package: scoresheet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A simple tool for scorekeeping in various games
 A simple tool for scorekeeping in various games
XB-Maemo-Display-Name: Scoresheet
XSBC-Bugtracker: unknown
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAAAAAAAA+UO7fwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oDCxAnKByG0dcAAAAZdEVYdENvbW1lbnQAQ3JlYXRlZCB3aXRoIEdJ
 TVBXgQ4XAAAFvklEQVRo3u1ZzWocRxD+ajRr7yKt0dqHYBMEASkoYAJC6GBI
 LjrokLfQk8kv4JvBoIPeQOCLz8JnS7KiHUuznt6pHLZrVVtbPTNy5CSHFAzd
 W13dXf9d3Qv8D/8uUGqAmfsN88J3Y4joXmsvCRAZ7wNYBfAYQN7AuP09bfnd
 NL9t7YXfIqhmDsy8Hhn/EcAzAE+jMCuKoTq2U4UTfDC4qUMbDC7Er1Z9u04w
 tIGZQURhLkDU/CqAnwH8CuAXAD9EXB43qM2iXltFusr0g8IFAF/jJzjpT2J/
 CuAm9su4ThnHJwBKZi61BfoAnkfmfwPwMlrgscgYv9r5gupXWNSmMKcF0IyW
 Tnsb2y+xfwugiALdALgWi+RG+88AbAF4SUTb8IEb2tpptXvpTzRumS8jk2PF
 7JfYfgZwGT0iACgzxdhK1PhzAOstzHeFrvSZsrCFlcScXCZqGABYw53bWEim
 3XsARUZ1a9eeJvpLAtkYyCLBAqOHh4cLDBARmJmYmYkIAJiZ6fXr13YOMTNl
 WTbvExHquhbFZUSUHR0dQYQ5PDysDZPWApIwltKopCrxX23OuUC9Xg+j0QgA
 cHl5iRDaz508z7G+vo5er4cQAoqiQFmWmE6nbVMlhjxLLFlAT6g9YiLCcDjE
 wcEB1tbW8ObNG5yfn4M57eoyZ39/H6PRCGVZ4uzsDKenpxiPx3pfgUy11sXF
 OrkltgeHFYAxcxMej8f8/v17fvToEed5LmMgIlcKZsZ4PMbJyQnevXuHjx8/
 YnNzk1dXVyHu5zAK+EpcorMWEP8SNxIm5i5UVVVn1xEIIeDi4gJVVWEymaAo
 CoQQEE9Ty6z0sy5rezGwZAGtXSKSTedtG2RZhidPnmBrawsvXrzAhw8ftPto
 ZrU16k5rt1hgKTdLQPb7fYxGI0Q3SgIRYTAYYHd3F3t7eyiKAkVR2LgRZgmL
 gavBPQ88AXTxJMAAmIh4OBzyzs4ODwYD3tnZ4eFw2Kqlfr+PjY0NjEYjbG9v
 49WrVzDzLB9e6rT9HFJKGE3oumbBRyQgj4+P0ev1UFWVdQUP+OrqCm/fvuU8
 z8HMCCHg+vra7iuKSoFnlQX728pSu89CEH/69GkuEDqUCzJHBS3qesHFPU9o
 sggij5BjNMesdN4D8AeA34nopzbGGkBiyN4fdIWqy2gpk6VNFXMXAK4AnGNW
 1F16aVS70d8Fr87Rv9nBp/ad4q7UyePnngNSz3uuoYuvLmBL7pSA3ww2BsQC
 ciMiAGyKOdlYC8MAEIsyApYKwEY4Ojqax0CcJzGgCzt9rXWLORms0FAPPQB4
 Wrd7CbMZ/GIuX+ooIrn+iRt5G+rspGt7D0dmjaXM5ox5gtlM5MaAFeJ7gWVU
 XIgSeCtQ8j4gLqSfNr6nEN6NTDOtY2CqxpJZyL4ipCCVBr9VEN3au0HjrSdV
 Tk+iICk/1T6vhWqLB8F567YFt81GSQHkuUPKiSZmm3AeTYppe+6Iu3h3ggWL
 ePeBr+oDfG1CjZHpt9E0aVxrWwpKl3EkzgGJAXloekhNN9FkCYGabmWtQfxV
 4eu4WI3lLIEWnHdh93DWhSzYGHDTqJQR8sRnF7ZabRoXGnb6dtxqX5hsciFY
 AUQIXeJ2Ae9k9ZhKxYi3lgf6PJjzngOzPwvi5URSqDywittYSOHvA3oNbz2b
 hTpZAJhpX563ZeKKalPQNO6Nta3bpiA3BuTZW97mZaG2p46UBmunRUe6VAYS
 YZMXmklkvkA3SG12H3wXhq2VkvcBcaFrNbH1FRaL7jB18G1zLaT+MEyexCJV
 wEz712j2ebtwG20TnY6DVEy01kK6lLjFzI08TXobTZ2NvHG9eSqIvSeV1MOW
 awFJoZ/bVP8PQSo+krXQBDP3+RPdfbrpKTAVA11jq5E+JcANZo9I/2VYdCF1
 GssBFnD3d6YnqIzB6Ws6ODRWgd7tL/XsHZJEUYgSd7HwUOAp4UHgL2Ds+3lb
 G21LAAAAAElFTkSuQmCC

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	/opt/qt4-maemo5/bin/qmake
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	/opt/qt4-maemo5/bin/qmake
	$(MAKE)
	#docbook-to-man debian/scoresheet.sgml > scoresheet.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	/opt/qt4-maemo5/bin/qmake
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/scoresheet.
	$(MAKE) DESTDIR=$(CURDIR)/debian/scoresheet install
	cp scoresheet $(CURDIR)/debian/scoresheet/usr/bin
	cp scoresheet.png $(CURDIR)/debian/scoresheet/usr/share/icons/hicolor/48x48/apps
	cp scoresheet.desktop $(CURDIR)/debian/scoresheet/usr/share/applications/hildon


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## scoresheet 0.9.1-1

=== Makefile ===
#############################################################################
# Makefile for building: scoresheet
# Generated by qmake (2.01a) (Qt 4.6.2) on: Wed Mar 31 21:43:00 2010
# Project:  scoresheet.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile scoresheet.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/include/QtCore -I/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/include/QtGui -I/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/include/QtMaemo5 -I/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cc \
		scoresheet.cc \
		csvfile.cc moc_scoresheet.cpp
OBJECTS       = main.o \
		scoresheet.o \
		csvfile.o \
		moc_scoresheet.o
DIST          = /targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		scoresheet.pro
QMAKE_TARGET  = scoresheet
DESTDIR       = 
TARGET        = scoresheet

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: scoresheet.pro  /targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl
	$(QMAKE) -unix -o Makefile scoresheet.pro
/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/common/unix.conf:
/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/common/linux.conf:
/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/qconfig.pri:
/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/features/release.prf:
/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/features/qt.prf:
/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/features/moc.prf:
/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/features/resources.prf:
/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/features/uic.prf:
/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/features/lex.prf:
/targets/maemo5-arm-c3a20f02c5e0007e247ac50e6c1ec944e49e4947/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile scoresheet.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/scoresheet1.0.0 || $(MKDIR) .tmp/scoresheet1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/scoresheet1.0.0/ && $(COPY_FILE) --parents scoresheet.h csvfile.h .tmp/scoresheet1.0.0/ && $(COPY_FILE) --parents main.cc scoresheet.cc csvfile.cc .tmp/scoresheet1.0.0/ && (cd `dirname .tmp/scoresheet1.0.0` && $(TAR) scoresheet1.0.0.tar scoresheet1.0.0 && $(COMPRESS) scoresheet1.0.0.tar) && $(MOVE) `dirname .tmp/scoresheet1.0.0`/scoresheet1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/scoresheet1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_scoresheet.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_scoresheet.cpp
moc_scoresheet.cpp: csvfile.h \
		scoresheet.h
	/usr/bin/moc $(DEFINES) $(INCPATH) scoresheet.h -o moc_scoresheet.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

main.o: main.cc scoresheet.h \
		csvfile.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cc

scoresheet.o: scoresheet.cc scoresheet.h \
		csvfile.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o scoresheet.o scoresheet.cc

csvfile.o: csvfile.cc csvfile.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o csvfile.o csvfile.cc

moc_scoresheet.o: moc_scoresheet.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_scoresheet.o moc_scoresheet.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== debian/changelog ===
scoresheet (0.9.1-1) unstable; urgency=low

  * File loading/saving changed to handle proper csv
  * Rebuilt for PR1.2

 -- Heikki Holstila <heikki.holstila@gmail.com>  Wed, 31 Mar 2010 21:45:11 +0300

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,16 @@
 Section: user/utilities
 Priority: extra
 Maintainer: Heikki Holstila <heikki.holstila@gmail.com>
-Build-Depends: debhelper (>= 5), libqt4-maemo5-dev
+Build-Depends: debhelper (>= 5), libqt4-dev
 Standards-Version: 3.7.2
 
 Package: scoresheet
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: A simple tool for scorekeeping in various games
- A simple tool for scorekeeping in various games
+ A simple tool for scorekeeping in various games with the
+ ability to save and load scoresheets. Also includes an
+ on-screen numeric keypad for portrait mode.
 XB-Maemo-Display-Name: Scoresheet
 XSBC-Bugtracker: unknown
 XB-Maemo-Icon-26:

## scoresheet 0.9.2-1

=== Makefile ===
#############################################################################
# Makefile for building: scoresheet
# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu Apr 1 00:22:57 2010
# Project:  scoresheet.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile scoresheet.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/include/QtCore -I/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/include/QtGui -I/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/include/QtMaemo5 -I/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cc \
		scoresheet.cc \
		csvfile.cc moc_scoresheet.cpp
OBJECTS       = main.o \
		scoresheet.o \
		csvfile.o \
		moc_scoresheet.o
DIST          = /targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		scoresheet.pro
QMAKE_TARGET  = scoresheet
DESTDIR       = 
TARGET        = scoresheet

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: scoresheet.pro  /targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl
	$(QMAKE) -unix -o Makefile scoresheet.pro
/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/common/unix.conf:
/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/common/linux.conf:
/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/qconfig.pri:
/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/features/release.prf:
/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/features/qt.prf:
/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/features/moc.prf:
/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/features/resources.prf:
/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/features/uic.prf:
/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/features/lex.prf:
/targets/maemo5-arm-fc1b4184e877aff434ef114fcff476db5c748e21/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile scoresheet.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/scoresheet1.0.0 || $(MKDIR) .tmp/scoresheet1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/scoresheet1.0.0/ && $(COPY_FILE) --parents scoresheet.h csvfile.h .tmp/scoresheet1.0.0/ && $(COPY_FILE) --parents main.cc scoresheet.cc csvfile.cc .tmp/scoresheet1.0.0/ && (cd `dirname .tmp/scoresheet1.0.0` && $(TAR) scoresheet1.0.0.tar scoresheet1.0.0 && $(COMPRESS) scoresheet1.0.0.tar) && $(MOVE) `dirname .tmp/scoresheet1.0.0`/scoresheet1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/scoresheet1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_scoresheet.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_scoresheet.cpp
moc_scoresheet.cpp: csvfile.h \
		scoresheet.h
	/usr/bin/moc $(DEFINES) $(INCPATH) scoresheet.h -o moc_scoresheet.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

main.o: main.cc scoresheet.h \
		csvfile.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cc

scoresheet.o: scoresheet.cc scoresheet.h \
		csvfile.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o scoresheet.o scoresheet.cc

csvfile.o: csvfile.cc csvfile.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o csvfile.o csvfile.cc

moc_scoresheet.o: moc_scoresheet.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_scoresheet.o moc_scoresheet.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== debian/changelog ===
scoresheet (0.9.2-1) unstable; urgency=low

  * Use prettier load and save dialogs
  * Added a valid bugtracker link

 -- Heikki Holstila <heikki.holstila@gmail.com>  Wed, 31 Mar 2010 23:45:49 +0300

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  ability to save and load scoresheets. Also includes an
  on-screen numeric keypad for portrait mode.
 XB-Maemo-Display-Name: Scoresheet
-XSBC-Bugtracker: unknown
+XSBC-Bugtracker: http://talk.maemo.org/showthread.php?p=590362
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAAAAAAAA+UO7fwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
